Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.metaproject
Interface ProjectInstance

All Superinterfaces:
  PolicyControlledObject

All Known Implementing Classes:
  ProjectInstanceImpl

    public interface ProjectInstance

extends PolicyControlledObject

Method Summary
`ProjectInstance` | `getAnnotationProject()`
`String` | `getLocation()`
`User` | `getOwner()`
`Set<User>` | `getOwners()`
`void` | `setAnnotationProject(ProjectInstance annotationProject)`
`void` | `setLocation(String location)`
`void` | `setOwner(User owner)`
`void` | `setOwners(Set<User> owners)`

Methods inherited from interface edu.stanford.smi.protege.server.metaproject.PolicyControlledObject
`addAllowedGroupOperations, addInCollection, addPropertyValue, addPropertyValue, getAllowedGroupOperations, getDescription, getInCollection, getMetaProject, getName, getPropertyValue, getPropertyValues, getPropertyValuesAsString, getProtegeInstance, isPolicyModifiableByClient, removeInCollection, removePropertyValue, removePropertyValue, setAllowedGroupOperations, setDescription, setInCollection, setName, setPolicyModifiableByClient, setPropertyValues`

Method Detail

### getLocation

    String getLocation()

### getOwner

    User getOwner()

### getOwners

    Set<User> getOwners()

### getAnnotationProject

    ProjectInstance getAnnotationProject()

### setLocation

    void setLocation(String location)

### setOwner

    void setOwner(User owner)

### setOwners

    void setOwners(Set<User> owners)

### setAnnotationProject

    void setAnnotationProject(ProjectInstance annotationProject)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.